<?php
// $Id: IOAIParser.php,v 1.1.2.4 2010/04/16 11:36:02 pkiraly Exp $;

/**
 * @file
 * OAI parser interface.
 * 
 * It defines the functions the OAI parsers should be implemented
 * @author Király Péter
 */

interface IOAIParser {
  
  public function get_http_code();
  
  /** Has errors in OAI response? */
  public function has_errors();
  
  /** Get all errors */
  public function list_errors();
  
  /** Has records? */
  public function has_records();
  
  /** Get number of records */
  
  public function get_record_count();
  /** Get next record */
  public function get_next_record();
  
  /** Has resumptionToken? */
  public function has_resumptionToken();
  
  /** Get the resumptionToken */
  public function get_resumptionToken();
}