<?php
// $Id: xc-browse-render-bar.tpl.php,v 1.1.2.1 2010/05/31 21:21:53 pkiraly Exp $

/**
 * @file templates/xc-browse-render-bar.tpl.php
 * Default theme implementation of a single navigation bar on the browse form
 * 
 * Available variables:
 * - $id: The id of the bar
 * - $lable: The label of the bar
 * - $items (array): The list of displayable items (the content of the bar)
 * 
 * @see xc_browse_prepare_bar_data()
 */
?>
<div id="xc-navigation-bar-<?php print $id ?>" class="xc-navigation-bar">
<?php if(!empty($label)) : ?>
  <div class="xc-navigation-bar-label"><?php print $label ?></div>
<?php endif ?>
  <div class="xc-navigation-bar-content">
    <?php print theme('item_list', $items); ?>
  </div>
</div>
