<table width="100%">
<tr valign="top">
<td>
<table width="100%" class="xc-full">
<?php if ($element['creator']) { ?>
<tr>
  <td ="xc-label">Author:</td>
  <td><?php echo xc_util_conditional_joined_link(', ', $element['creator'],
  array('rdarole:artist', 'rdarole:author', 'rdarole:compiler', 'rdarole:composer',
  'rdarole:speaker', 'xc:creator', 'dcterms:creator'),
  array(
    'phrase' => 1,
    'outlink' => array(
     'label' => t('(Search WorldCat Identities)'),
     'inside' => TRUE,
     'link' => array(
       'xc/search/ajax.open_worldcat_identity_url', 
       'sURL=[value]'
      ),
     'separator' => ' &nbsp; ',
))); ?> </td>
</tr>
<?php } ?>

<?php if (isset($element['publisher'])
          || isset($xc_record['rdvocab:placeOfPublication'])
          || isset($element['date'])): ?>
<tr>
  <td class="xc-label">Publisher:</td>
  <td><?php
  if (isset($xc_record['rdvocab:placeOfProduction'])) {
    echo xc_util_conditional_join(', ', $xc_record['rdvocab:placeOfProduction']);
  }
  if (isset($element['publisher'])) {
    if (isset($xc_record['rdvocab:placeOfProduction'])) {
      echo ' ';
    }
    echo xc_util_conditional_join(', ', $element['publisher']);
  }
  if (isset($element['publisher']) && isset($xc_record['dcterms:issued'])) {
    echo ' ';
  }
  if (isset($element['date'])) {
    echo xc_util_conditional_join(', ', $element['date']);
  }
  ?></td>
</tr>
<?php endif ?>

<?php if (isset($element['format']) || isset($xc_record['language'])): ?>
<tr>
  <td class="xc-label">Edition/Format:</td>
  <td>
    <?php
    if (isset($element['format'])) {
      echo xc_util_conditional_join(', ', $element['format']);
    }
    if (isset($element['format']) && isset($xc_record['language'])) {
      echo '; ';
    }
    if (isset($element['language'])) {
      echo xc_util_conditional_join('&mdash;', $element['language']);
    }
    if ((isset($element['format']) || isset($element['language']))
      && isset($xc_record['rdvocab:editionStatement'])) {
      echo '; ';
    }
    if (isset($xc_record['rdvocab:editionStatement'])) {
      echo xc_util_conditional_join(' &mdash; ', $xc_record['rdvocab:editionStatement']);
    }
    ?>
  </td>
</tr>
<?php endif ?>
</table>

<fieldset class=" collapsible " style="clear:both">
  <legend>Find a Copy</legend>
  <table width="100%" class="xc-full">
<?php if (isset($xc_record['dcterms:identifier'])): ?>
  <tr>
    <td class="xc-label">Online:</td>
    <td><?php echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['dcterms:identifier'],
      '',
      array(
        'external' => 1,
        'regex' => '{(https?|ftp)://[^ ]+}'
      )
    ); ?></td>
  </tr>
<?php endif ?>
  <tr>
    <td class="xc-label">Delivery Info:</td>
    <td>..</td>
  </tr>
  <tr valign="top">
    <td class="xc-label"><?php print t('Availability:') ?></td>
    <td id="xc-availability-<?php print $xc_record['node_id']; ?>" valign="top"
      style="padding: 0; margin: 0;">
      <img src="../<?php echo drupal_get_path('module', 'xc_search') . '/ajax-loader.gif'; ?>" 
        alt="<?php print t('Loading availability information'); ?>"
        title="<?php print t('Loading availability information'); ?>" />
    </td>
  </tr>
  </table>
</fieldset>

</td>
<td width="10%"><div id="coverart-<?php echo $xc_record['node_id']; ?>" style="float: right">
<?php if (isset($xc_record['image_url_large'])) { ?>
  <a href="<?php echo $xc_record['image_url_large'] ?>" rel="lightbox"
    title="<?php
    if (isset($element['title'])) {
      echo $element['title'];
    }
    if (isset($element['creator'])) {
      echo ' by ' . $element['creator'];
    }
?>">
    <img src="<?php echo $xc_record['image_url_medium']; ?>"/>
  </a>
<?php
}
else { ?>
  <img src="<?php echo $xc_record['image_url_medium']; ?>"/>
<?php } ?>
</div>
</td>
</tr>
</table>

<fieldset class=" collapsible">
  <legend>Details</legend>
  <table width="100%" class="xc-full">
<?php if (isset($xc_record['genre'])):?>
  <tr>
    <td class="xc-label">Genre/Form:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['genre']); ?></td>
  </tr>
<?php endif; ?>


<?php if (isset($xc_record['rdvocab:natureOfContent'])):?>
  <tr>
    <td class="xc-label">Material Type:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['rdvocab:natureOfContent']); ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($element['format'])):?>
  <tr>
    <td class="xc-label">Document Type:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $element['format']);?></td>
  </tr>
<?php endif; ?>

<?php if (isset($element['creator']) || isset($element['contributor'])):?>
  <tr>
    <td class="xc-label">All Authors/Contributors:</td>
    <td><?php
      if (isset($element['creator'])) {
        echo xc_util_conditional_joined_link(
          ' &mdash; ',
          $element['creator'],
          array('rdarole:artist', 'rdarole:author', 'rdarole:compiler',
          'rdarole:composer', 'rdarole:speaker', 'xc:creator', 'dcterms:creator'));
      }
      if (isset($element['creator']) && isset($element['contributor'])) {
        echo '<br/>';
      }
      if (isset($element['contributor'])) {
        $contributors = array('rdarole:director' => 'director',
        'rdarole:editor' => 'editor', 'rdarole:illustrator' => 'illustrator',
        'rdarole:performer' => 'performer', 'rdarole:producer' => 'producer',
        'rdarole:translator' => 'translator', 'xc:contributor' => 'contributor',
        'dcterm:contributor' => 'contributor');
        $links = array();
        foreach ($contributors as $contibutor => $label) {
          if (isset($xc_record[$contibutor])) {
            $links[] = xc_util_conditional_joined_link(
              ', ',
              $xc_record[$contibutor],
              $contibutor)
              . ' ('. $label . ')';
          }
        }
        echo join(' &mdash ', $links);
        /*
        echo xc_util_conditional_joined_link(
          ' &mdash; ',
          $element['contributor'],
          array('rdarole:director', 'rdarole:editor', 'rdarole:illustrator',
          'rdarole:performer', 'rdarole:producer', 'rdarole:translator'));
        */
      } ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['xc:thesisAdvisor'])):?>
  <tr>
    <td class="xc-label">Thesis Advisor:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['xc:thesisAdvisor']); ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['dcterms:identifier_ISBN'])):?>
  <tr>
    <td class="xc-label">ISBN:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:identifier_ISBN']); ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['dcterms:identifier_ISSN'])):?>
  <tr>
    <td class="xc-label">ISSN:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:identifier_ISSN']); ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['xc:recordID_OCoLC'])):?>
  <tr>
    <td class="xc-label">OCLC:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['xc:recordID_OCoLC']); ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['rdvocab:dissertationOrThesesInformation'])
       || isset($xc_record['dcterms:description'])):?>
  <tr>
    <td class="xc-label">Notes:</td>
    <td><?php
      if (isset($xc_record['rdvocab:dissertationOrThesesInformation'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc_record['xc:recordID_OCoLC']);
      }
      if (isset($xc_record['rdvocab:dissertationOrThesesInformation'])
      && isset($xc_record['dcterms:description'])) {
        echo ' &mdash; ';
      }
      if (isset($xc_record['dcterms:description'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:description']);
      }
      ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['dcterms:audience'])):?>
  <tr>
    <td class="xc-label">Target Audience:</td>
    <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:audience']);?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['dcterms:extent'])
       || isset($xc_record['dcterms:otherPhisicalDetails'])
       || isset($xc_record['drvocab:dimensions'])):?>
<tr>
  <td class="xc-label">Description:</td>
  <td><?php
      if (isset($xc_record['dcterms:extent'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:extent']);
      }
      if (isset($xc_record['dcterms:otherPhisicalDetails'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:otherPhisicalDetails']);
      }
      if (isset($xc_record['drvocab:dimensions'])) {
        echo xc_util_conditional_join(' &mdash; ', $xc_record['drvocab:dimensions']);
      }

    ?></td>
  </tr>
<?php endif; ?>

<?php if (isset($xc_record['dcterms:requires'])):?>
<tr>
  <td class="xc-label">Details:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:requires']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc_record['dcterms:tableOfContents'])):?>
<tr>
  <td class="xc-label">Contents:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:tableOfContents']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc_record['rdvocab:titleOfWork'])):?>
<tr>
  <td class="xc-label">Other titles:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['rdvocab:titleOfWork']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc_record['rdvocab:statementOfResponsibilityRelatingToTitle'])):?>
<tr>
  <td class="xc-label">Responsibility:</td>
  <td><?php echo xc_util_conditional_join(' &mdash; ', $xc_record['rdvocab:statementOfResponsibilityRelatingToTitle']);?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc_record['xc:isPartOf']) || isset($xc_record['dcterms:isPartOf'])):?>
<tr>
  <td class="xc-label">Series Title:</td>
  <td><?php
  if (isset($xc_record['xc:isPartOf'])) {
    echo xc_util_conditional_join(' &mdash; ', $xc_record['xc:isPartOf']);
  }
  if (isset($xc_record['dcterms:isPartOf'])) {
    echo xc_util_conditional_join(' &mdash; ', $xc_record['dcterms:isPartOf']);
  }
  ?></td>
</tr>
<?php endif; ?>

<?php if (isset($element['abstract'])): ?>
<tr>
  <td class="xc-label">Abstract:</td>
  <td><?php echo $element['abstract'] ?></td>
</tr>
<?php endif ?>
  </table>
</fieldset>

<fieldset class=" collapsible">
  <legend>Reviews</legend>
  <div>
  <?php echo xc_util_conditional_join('<br/>', $xc_record['summary']); ?>
  </div>
</fieldset>

<fieldset class=" collapsible">
  <legend>Similar items</legend>
  <table width="100%" class="xc-full">

<?php if (isset($xc_record['xc:subject'])
       || isset($xc_record['dcterms:subject'])
       || isset($xc_record['xc:spatial'])
       || isset($xc_record['dcterms:spatial'])
       || isset($xc_record['xc:temporal'])
       || isset($xc_record['dcterms:temporal'])
       || isset($xc_record['dcterms:coverage'])
       ):?>
<tr>
  <td class="xc-label">Related Subjects:</td>
  <td><?php
  if (isset($xc_record['xc:subject']) || isset($xc_record['dcterms:subject'])) {
    echo '<em>Topic</em>' . '<br/>';
  }
  if (isset($xc_record['xc:subject'])) {
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['xc:subject'],
      'xc:subject') . '<br/>';
  }
  if (isset($xc_record['dcterms:subject'])) {
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['dcterms:subject'],
      'dcterms:subject') . '<br/>';
  }

  if (isset($xc_record['xc:spatial']) || isset($xc_record['dcterms:spatial']) || isset($xc_record['dcterms:coverage'])) {
    echo '<em>Geographic</em>';
  }
  if (isset($xc_record['xc:spatial'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['xc:spatial'],
      'xc:spatial');
  }
  if (isset($xc_record['dcterms:spatial'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['dcterms:spatial'],
      'dcterms:spatial');
  }
  if (isset($xc_record['dcterms:coverage'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['dcterms:coverage'],
      'dcterms:coverage') . '<br/>';
  }

  if (isset($xc_record['xc:temporal']) || isset($xc_record['dcterms:temporal'])) {
    echo '<br/>';
    echo '<em>Time period</em>';
  }
  if (isset($xc_record['xc:temporal'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['xc:temporal'],
      'xc:temporal');
  }
  if (isset($xc_record['dcterms:temporal'])) {
    echo '<br/>';
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['dcterms:temporal'],
      'dcterms:temporal') . '<br/>';
  }

  ?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc_record['xc:relation'])
       || isset($xc_record['dcterms:relation'])
       ):?>
<tr>
  <td class="xc-label">Related Resources:</td>
  <td><?php
  if (isset($xc_record['xc:relation'])) {
    echo xc_util_conditional_joined_link(
       '<br/>',
       $xc_record['xc:relation'],
       '') . '<br/>';
  }
  if (isset($xc_record['dcterms:relation'])) {
    echo xc_util_conditional_joined_link(
      '<br/>',
      $xc_record['dcterms:relation'],
      '',
      array(
        'external' => 1,
        'regex' => '{(https?|ftp)://[^ ]+}'
      )) . '<br/>';
  }
  ?></td>
</tr>
<?php endif; ?>

<?php if (isset($xc_record['mlt'])):?>
<tr>
  <td class="xc-label">Browse similar items:</td>
  <td>
<table width="100%">
<?php foreach ($xc_record['mlt'] as $mlt) { ?>
<tr valign="top">
<td id="coverart-<?php echo $mlt['xc_record']['node_id']; ?>" width="10%" align="right">
<?php if (isset($mlt['image_url']) && $mlt['image_url'] != ''): ?>
  <img src="<?php echo $mlt['image_url']; ?>"/>
<?php endif; ?>
</td>
<td><?php
    if (isset($mlt['element']['title'])) {
      echo l(
        '<em>' . xc_util_conditional_join(' &mdash; ', $mlt['element']['title']) . '</em>',
        xc_search_get_full_display_path($mlt['xc_record']),
        array('html' => TRUE)
      );
      if (isset($mlt['element']['creator'])) {
        echo '<br/>';
      }
    }
    if (isset($mlt['element']['creator'])) {
      echo 'by ' . xc_util_conditional_join(' &mdash; ', $mlt['element']['creator']) ;
    }
    ?></td>
</tr>
<?php } // foreach mlt ?>
</table></td>
</tr>
<?php endif; // if mlt?>

</table>
</fieldset>

<?php $processed_fields = array('id', 'node_id', 'timestamp', 'type', 'node_type',
'processed', 'metadata_id', 'metadata_type', 'syndetics_ids', 'image_url',
'dcterms:tableOfContents',
'rdvocab:titleOfWork', 'dcterms:description', 'xc:relation', 'dcterms:relation',
'rdvocab:placeOfPublication', 'xc:workExpressed', 'xc:expressionManifested',
'xc:recordID_OCoLC', 'dcterms:extent', 'mlt', 'xc:subject', 'dcterms:subject',
'rdvocab:natureOfContent', 'dcterms:identifier_ISBN', 'summary', 'language',
'xc:isPartOf', 'dcterms:isPartOf', 'rdvocab:placeOfProduction',
'dcterms:identifier', 'rdvocab:editionStatement',
// display template elements
'dcterms:language', // language

// special fields
'image_url_large', 'image_url_medium', 'status', 'serialized_tsn',  'locations',
// facets
'format', 'classification', 'topic', 'date', 'genre', 'subject', 'authors_contributors',
'other_contributors', 'related_resources',
); ?>
<fieldset class=" collapsible">
  <legend>Other fields</legend>
  <table width="100%" class="xc-full">
<?php foreach ($xc_record as $key => $value) { ?>
  <?php if (!in_array($key, $processed_fields)) { ?>
<tr>
  <td class="xc-label"><?php echo $key; ?></td>
  <td><?php echo xc_util_conditional_join('<br/>', $value); ?></td>
</tr>
  <?php } ?>
<?php } ?>
  </table>
</fieldset>