<table width="100%" class="xc-snippet">
<?php if (isset($element['citation'])):?>
<tr class="xc-citation">
  <td width="20%">citation:</td>
  <td><?php echo $element['citation'] ?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['publisher'])): ?>
<tr class="xc-date">
  <td width="20%">published:</td>
  <td><?php 
    if (is_array($element['publisher'])) { 
        echo join(', ', $element['publisher']);
    }
    else { 
      echo $element['publisher']; 
    } 
    if (isset($xc_record['dcterms:issued'])) { 
      echo ' ';
      if (is_array($xc_record['dcterms:issued'])) { 
        echo join(', ', $xc_record['dcterms:issued']);
      }
      else {
        echo $xc_record['dcterms:issued'];
      } 
    } 
    if (isset($xc_record['dcterms:extent'])) {
      echo ' ';
      echo $xc_record['dcterms:extent'];
    }?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['date'])): ?>
<tr class="xc-date">
  <td width="20%">date:</td>
  <td><?php echo $element['date'] ?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['format'])): ?>
<tr class="xc-format">
  <td width="20%">format:</td>
  <td><?php echo xc_util_conditional_join(', ', $element['format']); ?></td>
</tr>
<?php endif ?> 

<?php if (isset($element['abstract'])): ?>
<tr class="xc-abstract">
  <td width="20%">abstract:</td>
  <td><?php echo $element['abstract'] ?></td>
</tr>
<?php endif ?> 

<tr class="xc-availability">
  <td width="20%">Availability:</td>
  <td id="xc-availability-<?php echo $xc_record['node_id'] ?>">loading...</td>
</tr>
</table>

<?php if($xc_record['admin']['debug_mode'] == TRUE) { ?>
<div class="xc-frbr-navigation">
see it's <?php echo 
  l(format_plural(count($xc_record['xc:expressionManifested']), 'expression', '@count expressions'),
    'search/xc_search/id:' . '("' . join('" OR "', $xc_record['xc:expressionManifested']) . '")',
    array('absolute' => TRUE, 'query' => 'search_type=uplink'));?>
!
</div>

<div class="xc-debug-info">
FRBR level: manifestation
 - [<?php echo $xc_record['full_display_link']; ?>]
 - [<?php echo $xc_record['local_xml_link']; ?>]
 - [<?php echo $xc_record['remote_xml_link']; ?>]
 - [<?php echo $xc_record['solr_link']; ?>]
 - [<?php echo $xc_record['mlt_link']; ?>]
<?php if (!empty($xc_record['sibling_link'])) { ?>
 - [<?php echo $xc_record['sibling_link']?>]
<?php } ?>
<?php if (!empty($xc_record['oclc_urls'])) { ?> - 
<?php   foreach($xc_record['oclc_urls'] as $url) { ?>
 [<a href="<?php echo $url; ?>">oclc</a>]
<?php   } ?>
<?php } ?>
 - the number of holdings: <?php echo $xc_record['count_holdings']; ?>
</div>
<?php } // debug ?>